import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {tagPropType, mapToCssModules} from './Shared/helper.js';

//component - CoreUI / CToastBody

const CToastBody = props=>{

  const {
    tag: Tag,
    className,
    cssModule,
    ...attributes
  } = props;

  //render

  const classes = mapToCssModules(classNames(
    className,
    'toast-body'
  ), cssModule);

  return (
    <Tag {...attributes} className={classes} />
  );

}

CToastBody.propTypes = {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object
};

CToastBody.defaultProps = {
  tag: 'div'
};

export default CToastBody;
