import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {tagPropType, mapToCssModules} from './Shared/helper.js';
//import {Context} from './CDropdownCustom';

//component - CoreUI / CToggler

const CToggler = props=>{

  const {
    tag: Tag,
    className,
    cssModule,
    children,
    toggle,
    inHeader,
    inNavbar,
    ...attributes
  } = props;

  //const context = useContext(Context);

  //events
  const onClick = e=>{
    e.preventDefault();
    //if (context.toggle)
    //  context.toggle();
    if (toggle)
      toggle();
  }

  //render

  const togglerType = inNavbar ? 'c-navbar' : inHeader ? 'c-header' : null;

  const classes = mapToCssModules(classNames(
    className,
    togglerType ? `${togglerType}-toggler` : null,
  ), cssModule);

  const classesTrigger = mapToCssModules(classNames(
    togglerType ? `${togglerType}-toggler-icon` : null,
  ), cssModule);

  return (
    <Tag {...attributes} className={classes} onClick={onClick}>
      {children || <span className={classesTrigger} />}
    </Tag>
  );

}

CToggler.propTypes = {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  inHeader: PropTypes.bool,
  inNavbar: PropTypes.bool,
  type: PropTypes.string,
  toggle: PropTypes.func
};

CToggler.defaultProps = {
  tag: 'button',
  type: 'button'
};

export default CToggler;
